Jump to content

[KSP 1.8.1+] Galileo's Planet Pack [v1.6.4] [01 July 2020]


Recommended Posts

I saw 1.4 appear on Github with a full set of instructions for installing with KSP 1.3. Tried it and it doesn't work. I'm assuming you're still finalizing it since it hasn't been announced?

Link to post
Share on other sites
59 minutes ago, Tyko said:

I saw 1.4 appear on Github with a full set of instructions for installing with KSP 1.3. Tried it and it doesn't work. I'm assuming you're still finalizing it since it hasn't been announced?

Correct. We've been working on v1.4 ever since KSP 1.3 came out and we push everything to Github so that other members of the team can test and use our individual changes. Don't worry, an update will come soon™

Link to post
Share on other sites
1 minute ago, TheRagingIrishman said:

Correct. We've been working on v1.4 ever since KSP 1.3 came out and we push everything to Github so that other members of the team can test and use our individual changes. Don't worry, an update will come soon™

Haha..thanks for the update!

Link to post
Share on other sites
14 hours ago, TheRagingIrishman said:

Correct. We've been working on v1.4 ever since KSP 1.3 came out and we push everything to Github so that other members of the team can test and use our individual changes. Don't worry, an update will come soon™

Could you please tell me if you got rid of the "Explore Grannus" Problem, i.e. the Gaelean Historians mission which turns up in the game right after the Ceti-missions? I like to play along the "Explore"-missions so I'm on hold right now in my current career-game.

And one more thing: You guys rock! :D

Link to post
Share on other sites
4 hours ago, KerbolExplorer said:

the game is crashin when i eva

not caused by GPP.

May want to troubleshoot your other mods.

3 hours ago, hoover2701 said:

Could you please tell me if you got rid of the "Explore Grannus" Problem, i.e. the Gaelean Historians mission which turns up in the game right after the Ceti-missions? I like to play along the "Explore"-missions so I'm on hold right now in my current career-game.

And one more thing: You guys rock! :D

Nope. It's a limitation of stock. KSP does not natively support multiple stars. This is just a byproduct of that.

Link to post
Share on other sites
8 hours ago, KerbolExplorer said:

the game is crashin when i eva

 

4 hours ago, Galileo said:

not caused by GPP.

May want to troubleshoot your other mods.

Nope. It's a limitation of stock. KSP does not natively support multiple stars. This is just a byproduct of that.

This is caused by TextureReplacer.

If you are using the 1.3 version of TR in 1.2.2, you will crash on EVA.

If you are using the incorrect 1.3 version of TR in 1.3, you will crash on EVA.

Link to post
Share on other sites
Just now, Gameslinx said:

 

This is caused by TextureReplacer.

If you are using the 1.3 version of TR in 1.2.2, you will crash on EVA.

If you are using the incorrect 1.3 version of TR in 1.3, you will crash on EVA.

o ****** I totaly forgot about the version

Link to post
Share on other sites
4 hours ago, Vivigluglu said:

Will Grannus have it's own solar system in a future update?

Puny mortal, you cannot fathom the answer to what happens to be a divine question.

Spoiler

But honestly, the valid answers are: :wink: 

  • Maybe™
  • Soon™
  • Moar boosters
  • Moar struts

 

Edited by JadeOfMaar
Link to post
Share on other sites
7 hours ago, Galileo said:

Nope. It's a limitation of stock. KSP does not natively support multiple stars. This is just a byproduct of that.

Would you care to elaborate on this? How does it come that Grannus directly follows the Ceti missions? Is there a way to circumvent this? Would it be possible to "deactivate" Grannus, so I get another Historians mission? Oops, 4 questions in one post... I feel guilty!

Link to post
Share on other sites
16 minutes ago, hoover2701 said:

Would you care to elaborate on this? How does it come that Grannus directly follows the Ceti missions? Is there a way to circumvent this? Would it be possible to "deactivate" Grannus, so I get another Historians mission? Oops, 4 questions in one post... I feel guilty!

KSP does not natively support multiple stars so it will dumbly respond to the presence of an added star. The game doesn't know better, and the only option for fixing this contract problem is for Squad to alter the game and make it natively support multiple stars (and that's not happening). There's no deactivating Grannus. You ignore it and send a probe towards the next body you feel you should get contracts for. If you don't use scatterer you can delete Grannus, otherwise this will cause null spam.

If you choose to delete Grannus, do not re-add it, as adding celestials mid-career can cause things to orbit (or be landed on) a different body.

Edited by JadeOfMaar
Link to post
Share on other sites
On 2017-6-17 at 3:56 PM, Tyko said:

Haha..thanks for the update!

Please insert on github: 1.3 version is not ready YET : )

 

I pent more than 1 hour downloading and trying to play 1.4 version : (

Link to post
Share on other sites

Download warning added to the readme.

The releases page is where stable stuff (for end users/casual players) goes for download. Please don't just download the master branch/source stuff and expect it to work properly. This applies to any GitHub site.

This is why GitHub has a "releases" page and why the thread title still says [v1.2.3] [KSP 1.2.2] and links where it links for downloads.

 

Edited by JadeOfMaar
Link to post
Share on other sites
8 hours ago, JadeOfMaar said:

KSP does not natively support multiple stars so it will dumbly respond to the presence of an added star. The game doesn't know better, and the only option for fixing this contract problem is for Squad to alter the game and make it natively support multiple stars (and that's not happening). There's no deactivating Grannus. You ignore it and send a probe towards the next body you feel you should get contracts for. If you don't use scatterer you can delete Grannus, otherwise this will cause null spam.

If you choose to delete Grannus, do not re-add it, as adding celestials mid-career can cause things to orbit (or be landed on) a different body.

Thank you very much for your detailed answer!

Link to post
Share on other sites
13 hours ago, JadeOfMaar said:

Download warning added to the readme.

The releases page is where stable stuff (for end users/casual players) goes for download. Please don't just download the master branch/source stuff and expect it to work properly. This applies to any GitHub site.

This is why GitHub has a "releases" page and why the thread title still says [v1.2.3] [KSP 1.2.2] and links where it links for downloads.

 

Thanks for posting it on github :)

I'm very excited to start playing: )

Edited by dtondo
Link to post
Share on other sites
13 hours ago, dtondo said:

Please insert on github: 1.3 version is not ready YET : )

 

I pent more than 1 hour downloading and trying to play 1.4 version : (

weel i only had svt for one day then they updated ksp and now im still waiting for the update

Link to post
Share on other sites
32 minutes ago, KerbolExplorer said:

weel i only had svt for one day then they updated ksp and now im still waiting for the update

Soon™

I finished this semester of school last Thursday and I'm on a mini holiday/family reunion with my daughter but will be returning home this evening and can focus on getting an update out sometime in the next few weeks. Dependencies are still updating unfortunately. I'm partial to updating the mod only when all dependencies are up to date and working as intended to avoid receiving a ton of bug reports about dependencies not working correctly. If it becomes obvious that those dependencies won't update in the next week or two, I will release what we have finished. 

Link to post
Share on other sites
17 minutes ago, Galileo said:

Soon™

I finished this semester of school last Thursday and I'm on a mini holiday/family reunion with my daughter but will be returning home this evening and can focus on getting an update out sometime in the next few weeks. Dependencies are still updating unfortunately. I'm partial to updating the mod only when all dependencies are up to date and working as intended to avoid receiving a ton of bug reports about dependencies not working correctly. If it becomes obvious that those dependencies won't update in the next week or two, I will release what we have finished. 

Speaking of dependencies, I've been keeping track of all of the mods I use, with an eye to upgrading to KSP 1.3.0 and the eventual GPP release and continuing my current career game there.  I rarely get very far in career games because either some upgrade (which has some feature I *really* want) breaks prior save games, or I decide to try a new mod that does the same. 

I was hoping to avoid that this time, but one of the mods, Near Future Propulsion (and the other Near Future mods), is a game breaker in 1.3.0.  The mod is changing in such a way that you won't be able to continue with existing saves.  This isn't a surprise, and this was announced well in advance.  For anyone using Near Future Propulsion, it will be impossible to continue prior games.  Since KSP 1.3.0 doesn't seem to add a lot of features other than localization, I'll be sticking with 1.2.2 and GPP 1.2.3 at least until I'm done with this career game.  The downside, of course, is that all new mod versions are going to be for 1.3.0.  

I suspect a lot of people who use GPP are in the same boat as I am.

Link to post
Share on other sites
On ‎6‎/‎18‎/‎2017 at 9:57 AM, Vivigluglu said:

Will Grannus have it's own solar system in a future update?

Not as part of GPP directly.  However, there may be something coming as on add-on. :wink:

Link to post
Share on other sites
16 hours ago, AG5BPilot said:

Speaking of dependencies, I've been keeping track of all of the mods I use, with an eye to upgrading to KSP 1.3.0 and the eventual GPP release and continuing my current career game there.  I rarely get very far in career games because either some upgrade (which has some feature I *really* want) breaks prior save games, or I decide to try a new mod that does the same. 

I was hoping to avoid that this time, but one of the mods, Near Future Propulsion (and the other Near Future mods), is a game breaker in 1.3.0.  The mod is changing in such a way that you won't be able to continue with existing saves.  This isn't a surprise, and this was announced well in advance.  For anyone using Near Future Propulsion, it will be impossible to continue prior games.  Since KSP 1.3.0 doesn't seem to add a lot of features other than localization, I'll be sticking with 1.2.2 and GPP 1.2.3 at least until I'm done with this career game.  The downside, of course, is that all new mod versions are going to be for 1.3.0.  

I suspect a lot of people who use GPP are in the same boat as I am.

I am in the same mindset. KSP1.2.2 is stable and GPP1.3 is stable and with all of the other mods I have installed. I have a stable and beautiful game - I now have no intention of upgrading to KSP1.3 and breaking everything AGAIN. I will not be an early adopter of any of these next upgrades :)

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...